=== modified file 'debian/changelog'
--- debian/changelog	2022-01-14 18:18:45 +0000
+++ debian/changelog	2022-01-18 16:17:47 +0000
@@ -1,3 +1,11 @@
+update-manager (1:22.04.6) UNRELEASED; urgency=medium
+
+  * ubuntu-security-status: further improvements to pluralization and phrasing
+    of "could receive" and "is / are receiving". Thanks to Renan Rodrigo for
+    the changes.
+
+ -- Brian Murray <brian@ubuntu.com>  Tue, 18 Jan 2022 08:15:48 -0800
+
 update-manager (1:22.04.5) jammy; urgency=medium
 
   * ubuntu-security-status: Check if ESM for Apps is enabled or if it is not

=== modified file 'ubuntu-security-status'
--- ubuntu-security-status	2022-01-14 18:18:04 +0000
+++ ubuntu-security-status	2022-01-18 16:17:47 +0000
@@ -370,7 +370,8 @@
                                    "%s-apps-security" % codename,
                                    "main")
 
-    esm_enabled = is_ua_service_enabled("esm-infra")
+    esm_infra_enabled = is_ua_service_enabled("esm-infra")
+    esm_apps_enabled = is_ua_service_enabled("esm-apps")
     ua_attached = get_ua_status().get("attached", False)
 
     # Now do the final loop through
@@ -496,21 +497,31 @@
                " with LTS" if lts else "",
                eol.month, eol.year))
     elif release_expired and lts:
+        receive_text = "could receive"
+        if esm_infra_enabled:
+            if len(pkgstats.pkgs_mr) == 1:
+                receive_text = "is receiving"
+            else:
+                receive_text = "are receiving"
         print("%s %s security updates with ESM Infra "
               "until %d/%d" %
               ("{:>{width}}".format(len(pkgstats.pkgs_mr),
                                     width=width),
-               "are receiving" if esm_enabled else "could receive",
-               eol_esm.month, eol_esm.year))
+               receive_text, eol_esm.month, eol_esm.year))
     if lts and pkgstats.pkgs_um and (
         is_ua_service_enabled("esm-apps") or not ESMAppsEntitlement.is_beta
     ):
+        receive_text = "could receive"
+        if esm_apps_enabled:
+            if len(pkgstats.pkgs_um) == 1:
+                receive_text = "is receiving"
+            else:
+                receive_text = "are receiving"
         print("%s %s security updates with ESM Apps "
               "until %d/%d" %
               ("{:>{width}}".format(len(pkgstats.pkgs_um),
                                     width=width),
-               "are receiving" if esm_enabled else "could receive",
-               eol_esm.month, eol_esm.year))
+               receive_text, eol_esm.month, eol_esm.year))
     if pkgstats.pkgs_thirdparty:
         print_thirdparty_count()
     if pkgstats.pkgs_unavailable:
@@ -537,47 +548,53 @@
                   "'ubuntu-security-status --unavailable'.")
         print_wrapped(action)
     # print the ESM calls to action last
-    if lts and not esm_enabled:
+    if lts and not esm_infra_enabled:
         if release_expired and pkgstats.pkgs_mr:
             pkgs_updated_in_esmi = pkgstats.pkgs_updated_in_esmi
             print("")
-            print_wrapped(gettext.dngettext("update-manager",
-                                            "Enable Extended Security "
-                                            "Maintenance (ESM Infra) to "
-                                            "get %i security update (so far) "
-                                            "and enable coverage of %i "
-                                            "packages.",
-                                            "Enable Extended Security "
-                                            "Maintenance (ESM Infra) to "
-                                            "get %i security updates (so far) "
-                                            "and enable coverage of %i "
-                                            "packages.",
-                                            len(pkgs_updated_in_esmi)) %
-                          (len(pkgs_updated_in_esmi),
-                           len(pkgstats.pkgs_mr)))
+            msg = gettext.dngettext(
+                "update-manager",
+                "Enable Extended Security "
+                "Maintenance (ESM Infra) to "
+                "get %i security update (so far) ",
+                "Enable Extended Security "
+                "Maintenance (ESM Infra) to "
+                "get %i security updates (so far) ",
+                len(pkgs_updated_in_esmi)) % len(pkgs_updated_in_esmi)
+            msg += gettext.dngettext(
+                "update-manager",
+                "and enable coverage of %i "
+                "package.",
+                "and enable coverage of %i "
+                "packages.",
+                len(pkgstats.pkgs_mr)) % len(pkgstats.pkgs_mr)
+            print_wrapped(msg)
             if ua_attached:
                 print("\nEnable ESM Infra with: ua enable esm-infra")
     if lts and pkgstats.pkgs_um:
         if (
-            not is_ua_service_enabled("esm-apps") and
+            not esm_apps_enabled and
             not ESMAppsEntitlement.is_beta
         ):
             pkgs_updated_in_esma = pkgstats.pkgs_updated_in_esma
             print("")
-            print_wrapped(gettext.dngettext("update-manager",
-                                            "Enable Extended Security "
-                                            "Maintenance (ESM Apps) to "
-                                            "get %i security update (so far) "
-                                            "and enable coverage of %i "
-                                            "packages.",
-                                            "Enable Extended Security "
-                                            "Maintenance (ESM Apps) to "
-                                            "get %i security updates (so far) "
-                                            "and enable coverage of %i "
-                                            "packages.",
-                                            len(pkgs_updated_in_esma)) %
-                          (len(pkgs_updated_in_esma),
-                           len(pkgstats.pkgs_um)))
+            msg = gettext.dngettext(
+                "update-manager",
+                "Enable Extended Security "
+                "Maintenance (ESM Apps) to "
+                "get %i security update (so far) ",
+                "Enable Extended Security "
+                "Maintenance (ESM Apps) to "
+                "get %i security updates (so far) ",
+                len(pkgs_updated_in_esma)) % len(pkgs_updated_in_esma)
+            msg += gettext.dngettext(
+                "update-manager",
+                "and enable coverage of %i "
+                "package.",
+                "and enable coverage of %i "
+                "packages.",
+                len(pkgstats.pkgs_um)) % len(pkgstats.pkgs_um)
+            print_wrapped(msg)
             if ua_attached:
                 print("\nEnable ESM Apps with: ua enable esm-apps")
     if lts and not ua_attached:

